Prompt = require("prompt")
Request = require("request")
Utils = require("../utils")

API_URL = process.env.RO_API_URL

module.exports = ->
   Utils.login (err, sessionToken, user) ->
      throw err if err
      return unless sessionToken
      schema = {
         properties: {
            case_id: {required: true}
            contributor_id: {required: true}
         }
      }
      Prompt.start();
      Prompt.get schema, (err, result) ->
         process.exit() if err
         Request {
            url: "#{API_URL}/cases/#{result.case_id}/contributor?sessionToken=#{sessionToken}"
            method: "POST"
            body: {
               contributor_id: result.contributor_id
            }
            json: true
         }, (err, res, body) ->
            throw err if err
            Utils.printResponse(res, body)
            