Prompt = require("prompt")
Request = require("request")
Utils = require("../utils")
Cookie = require("cookie")

API_URL = process.env.RO_API_URL

module.exports = ->
   Utils.login (err, sessionToken, user) ->
      throw err if err
      return unless sessionToken
      schema = {
         properties: {
            name: {required: true}
            case_number: {required: true}
            company_id: {required: true}
         }
      }
      Prompt.start();
      Prompt.get schema, (err, result) ->
         process.exit() if err
         Request {
            url: "#{API_URL}/companies/#{result.company_id}/cases?sessionToken=#{sessionToken}"
            method: "POST"
            body: {
               name: result.name
               case_number: result.case_number
            }
            json: true
         }, (err, res, body) ->
            throw err if err
            Utils.printResponse(res, body)
