Prompt = require("prompt")
Request = require("request")
Utils = require("../utils")

API_URL = process.env.RO_API_URL

module.exports = ->
   Utils.login (err, sessionToken, user) ->
      throw err if err
      return unless sessionToken
      schema = {
         properties: {
            case_id: {required: true}
            file_id: {required: true}
            author_id: {required: true}
            author_name: {required: true}
            text: {required: true}
         }
      }
      Prompt.start()
      Prompt.get schema, (err, result) ->
         process.exit() if err
         Request {
            url: "#{API_URL}/cases/#{result.case_id}/files/#{result.file_id}/comment?sessionToken=#{sessionToken}"
            method: "POST"
            body: {
               timestamp: new Date()
               author_id: result.author_id
               author_name: result.author_name
               author_pic_url: "http://bullshit.com"
               text: result.text
               start_endpoint: { "pageIndex": 0, "sectionIndex": 8, "lineIndex": 13, "offset": 0 }
               end_endpoint: { "pageIndex": 0, "sectionIndex": 8, "lineIndex": 14, "offset": 36 }
            }
            json: true
         }, (err, res, body) ->
            throw err if err
            Utils.printResponse(res, body)
