Prompt = require("prompt")
Request = require("request")
Utils = require("../utils")
Cookie = require("cookie")

API_URL = process.env.RO_API_URL

module.exports = ->
   Utils.login (err, sessionToken, user) ->
      throw err if err
      return unless sessionToken
      schema = {
         properties: {
            case_id: {required: true}
            first_name: {required: true}
            last_name: {required: true}
            email: {required: true}
         }
      }
      Prompt.start();
      Prompt.get schema, (err, result) ->
         process.exit() if err
         Request {
            url: "#{API_URL}/cases/#{result.case_id}/custodians?sessionToken=#{sessionToken}"
            method: "POST"
            body: {
               first_name: result.first_name
               last_name: result.last_name
               email: result.email
            }
            json: true
         }, (err, res, body) ->
            throw err if err
            Utils.printResponse(res, body)
