Prompt = require("prompt")
Request = require("request")
Utils = require("../utils")

API_URL = process.env.RO_API_URL

module.exports = ->
   schema = {
      properties: {
         company_id: {required: true}
         first_name: {
            pattern: /^[a-zA-Z\s\-]+$/,
            message: 'Name must be only letters, spaces, or dashes',
            required: true
         }
         last_name: {
            pattern: /^[a-zA-Z\s\-]+$/,
            message: 'Name must be only letters, spaces, or dashes',
            required: true
         }
         email: {required: true}
         password: {hidden: true, required: true}
      }
   }
   Prompt.start();
   Prompt.get schema, (err, result) ->
      Request {
         url: "#{API_URL}/users"
         method: "POST"
         body: {
            first_name: result.first_name
            last_name: result.last_name
            email: result.email
            password: result.password
            company_id: result.company_id
         }
         json: true
      }, (err, res, body) ->
         process.exit() if err
         Utils.printResponse(res, body)
