Request = require("request")
Cookie = require("cookie")
Prompt = require("prompt")
Path = require("path")
fs = require("fs")

API_URL = process.env.RO_API_URL

HOME = process.env[if (process.platform == "win32") then "USERPROFILE" else "HOME"]
SESSION_PATH = Path.join(HOME, ".ruleoneclient")

login = (callback) ->
   fs.readFile SESSION_PATH, (err, data) ->
      return promptLogin_(callback) if err
      result = JSON.parse(data)
      return callback(null, result.sessionToken, result.user) if result.expires_at > Date.now()
      promptLogin_(callback)

promptLogin_ = (callback) ->
   schema = {
      properties: {
         email: {required: true}
         password: {required: true, hidden: true}
      }
   }
   Prompt.start();
   Prompt.get schema, (err, result) ->
      process.exit() if err
      attemptToLogin_ result.email, result.password, (err, sessionToken, user) ->
         throw err if err
         unless sessionToken
            console.error("Login failed: invalid credentials") 
         else
            console.log("Login successful.")
         callback(null, sessionToken, user)

attemptToLogin_ = (email, password, callback) ->
   Request {
      url: "#{API_URL}/auth/login"
      method: "POST"
      body: {email: email, password: password}
      json: true
   }, (err, res, body) ->
      return callback(err) if err
      return callback() unless res.statusCode == 200
      cookies = res.headers["set-cookie"]
      cookies = [cookies] unless cookies instanceof Array
      data = {
         sessionToken: body.session_token
         user: body.user
         expires_at: Date.now() + 1000 * 60 * 60 * 12 # 12 hours
      }
      fs.writeFile SESSION_PATH, JSON.stringify(data), (err) ->
         callback(null, body.session_token, body)

printResponse = (res, body) ->
   if res.statusCode == 200
      console.log("")
      console.log(body)
      console.log("")
   else
      console.log("")
      console.error("Received #{res.statusCode}")
      console.error(body)
      console.log("")

module.exports = {
   login: login
   printResponse: printResponse
}
